org.fourthline.cling.support.lastchange

## Class Event

- java.lang.Object
- - org.fourthline.cling.support.lastchange.Event

-     public class Event
      extends Object

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<InstanceID>` | `instanceIDs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`
    `Event(List<InstanceID> instanceIDs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `<EV extends EventedValue> EV` | `getEventedValue(UnsignedIntegerFourBytes id, Class<EV> type)`
    `InstanceID` | `getInstanceID(UnsignedIntegerFourBytes id)`
    `List<InstanceID>` | `getInstanceIDs()`
    `boolean` | `hasChanges()`
    `void` | `setEventedValue(UnsignedIntegerFourBytes id, EventedValue ev)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instanceIDs

          protected List<InstanceID> instanceIDs

  - ### Constructor Detail

    - #### Event

          public Event()

    - #### Event

          public Event(List<InstanceID> instanceIDs)

  - ### Method Detail

    - #### getInstanceIDs

          public List<InstanceID> getInstanceIDs()

    - #### getInstanceID

          public InstanceID getInstanceID(UnsignedIntegerFourBytes id)

    - #### clear

          public void clear()

    - #### setEventedValue

          public void setEventedValue(UnsignedIntegerFourBytes id,
                                      EventedValue ev)

    - #### getEventedValue

          public <EV extends EventedValue> EV getEventedValue(UnsignedIntegerFourBytes id,
                                                              Class<EV> type)

    - #### hasChanges

          public boolean hasChanges()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.